Bug 1579451 - glibc: IP_BIND_ADDRESS_NO_PORT is not defined in <netinet/in.h>
Summary: glibc: IP_BIND_ADDRESS_NO_PORT is not defined in <netinet/in.h>
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.5
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Patsy Franklin
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 1710258
TreeView+ depends on / blocked
 
Reported: 2018-05-17 16:56 UTC by Ilya Shipitsin
Modified: 2019-10-22 13:51 UTC (History)
8 users (show)

Fixed In Version: glibc-2.17-299.el7
Doc Type: Bug Fix
Doc Text:
The library was missing new definitions in the netinet/in.h header, and this could cause some applications to fail to compile. The new definitions, including IP_BIND_ADDRESS_NO_PORT, IPPROTO_MPLS, MS_RMT_MASK, MS_LAZYTIME, AF_MPLS, AF_IB, PF_IB, and IP_CHECKSUM have been added. Applications requiring these definitions should now compile correctly.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CentOS 14828 None None None 2018-05-17 16:56:08 UTC
Red Hat Bugzilla 1374498 None None None 2019-11-27 09:41:30 UTC
Red Hat Bugzilla 1684874 'unspecified' 'CLOSED' 'glibc: Add more Linux definitions to <netinet/in.h>, including IP*_PMTUDISC_OMIT' 2019-11-27 09:41:31 UTC

Internal Links: 1374498 1684874

Description Ilya Shipitsin 2018-05-17 16:56:08 UTC
Description of problem:

I filed a bug against CentOS, have a look please ?

https://bugs.centos.org/view.php?id=14828

it might be originated from RHEL


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Florian Weimer 2018-05-17 17:33:30 UTC
This feature from kernel 4.2 was backported into the Red Hat Enterprise Linux 7 kernel with the 7.4 minor release, so we could add the constant to the glibc headers as well.

It is really just the constant itself, and it's included in upstream glibc already, so I'm setting the Patch keyword.

Comment 7 Sergey Kolosov 2019-10-22 13:51:27 UTC
Verified with the reproducer from https://bugs.centos.org/view.php?id=14828, the bug has been fixed in glibc-2.17-299.el7.


Note You need to log in before you can comment on or make changes to this bug.